const require_useSharedState = require("../../../hooks/useSharedState.js");
const require_model = require("../model.js");
//#region src/components/table/hooks/useIsMobileTable.ts
const useIsMobileTable = () => {
	const modal = require_useSharedState.default(require_model.Context);
	const { tableWidth } = (modal === null || modal === void 0 ? void 0 : modal.state) || {};
	return !!(tableWidth && (tableWidth || 0) < 600);
};
//#endregion
exports.default = useIsMobileTable;
